Subject: Re: [dispatch] Dispatching Work on ECMAScript Media Types Updates

From: Harald Alvestrand <[email-masked]>
Date: Mon, 13 Nov 2017 01:15:55 +0100

On 08/17/2017 12:03 PM, Bradley Meck wrote:
> Hiya!
>
> > My initial reaction to this statement was: so why aren't we seeing a
> request for a new media type?
>
> This was discussed in a few different places, ultimately culminating
> in no body wanting to take that route. You can read some info on that
> in the link to the informative TC39
> issue https://github.com/tc39/ecma262/issues/322. It appears you might
> be more interested in the HTML side of things, which would be that a
> new media type would not load with the specification they have already
> started deploying ( there was an issue about this on HTML side
> in https://github.com/whatwg/html/issues/558 ). Some discussion about
> a `mode` parameter instead of media type is in an issue on this
> proposal https://github.com/bmeck/I-D/issues/1#issuecomment-322545837
> . That might be the better route since it will work in web browsers.
>
> > You neglect to mention that uses of the module on the web do not
> depend on additional distinguishing marks because they have the
> type="module" attribute on script tags.
>
> This is out of band information not based upon content. I did not
> think it necessary. Should it be mentioned if it is not based upon
> message content nor information in the media type fields? I think that
> this statement also applies to some tools such as module bundlers as
> well that are using fields in package.json files.

Why isn't a MIME type parameter with the format "type=module" the Right
Answer for the MIME type registration?

>
> > Nit: There Are So Many Proper Nouns In This Document.  Is that really
> necessary?
>
> I think this is in part a stylistic thing of my writing. I tend to
> avoid pronouns and am capitalizing grammar productions in the same
> manner as the ECMAScript specification. We could make stylistic
> changes though!
>
> -Brad
>
> On Thu, Aug 17, 2017 at 12:14 AM, Martin Thomson
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hi Matt,
>
>     First, this seems fine, almost trivial.
>
>     This statement implies a problem of greater scope than what you
>     are solving:
>
>        It is not possible to fully determine if a Source Text of
>     ECMAScript
>        is meant to be parsed in the Module or Script grammar goals based
>        upon content alone.
>
>     My initial reaction to this statement was: so why aren't we seeing a
>     request for a new media type?
>
>     You neglect to mention that uses of the module on the web do not
>     depend on additional distinguishing marks because they have the
>     type="module" attribute on script tags.
>
>     Nit: There Are So Many Proper Nouns In This Document.  Is that
>     really necessary?
>
>     On 17 August 2017 at 14:03, Matthew A. Miller
>     <[email-masked]
>     <mailto:[email-masked]>> wrote:
>     > Hello DISPATCH,
>     >
>     > The ECMAScript/JavaScript media types are in need of some updates.
>     > We've started an informational document[1] to address that.  There
>     > hasn't been much mailing list discussion yet, but we are asking now
>     > where to direct the work.
>     >
>     > In consultation with the ART Directors, we ask this document be
>     adopted
>     > by DISPATCH as one of its simple administrative documents.
>     >
>     > The document is <
>     > https://datatracker.ietf.org/doc/draft-bfarias-javascript-mjs
>     <https://datatracker.ietf.org/doc/draft-bfarias-javascript-mjs> >.
>     >
>     > Issues can be filed on the GitHub repository at <
>     > https://github.com/bmeck/I-D/issues
>     <https://github.com/bmeck/I-D/issues> >.
>     >
>     >
>     > Thank you,
>     >
>     > --
>     > - m&m
>     >
>     > Matthew A. Miller
>     >
>     >
>     > _______________________________________________
>     > dispatch mailing list
>     > [email-masked] <mailto:[email-masked]>
>     > https://www.ietf.org/mailman/listinfo/dispatch
>     <https://www.ietf.org/mailman/listinfo/dispatch>
>     >
>
>
>
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch

-- 
Surveillance is pervasive. Go Dark.

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 13 Nov 2017 01:17:50 +0100

On 11/13/2017 01:15 AM, Harald Alvestrand wrote:
>> issue https://github.com/tc39/ecma262/issues/322. It appears you
>> might be more interested in the HTML side of things, which would be
>> that a new media type would not load with the specification they have
>> already started deploying ( there was an issue about this on HTML
>> side in https://github.com/whatwg/html/issues/558 ). Some discussion
>> about a `mode` parameter instead of media type is in an issue on this
>> message content nor information in the media type fields? I think
>> that this statement also applies to some tools such as module
>> bundlers as well that are using fields in package.json files.
>
> Why isn't a MIME type parameter with the format "type=module" the
> Right Answer for the MIME type registration?

Apologies; I missed the "goal" parameter that does exactly this.
I do wonder why the MIME registration departs from the HTML tag practice
and calls it "goal" rather than "type".